> For the complete documentation index, see [llms.txt](https://docs.labrador-kennel.io/async-unit/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.labrador-kennel.io/async-unit/reference/cli-tool.md).

# CLI Tool

{% hint style="danger" %}
The CLI tool is still in initial development and much of this is subject to change.
{% endhint %}

### Configured Test Runs

The recommended way to run your test suites is to have a configuration defined that explains how everything should be executed. At the moment this is a manual process, though we expect as the configuration becomes more complex the tool will assit in generating the appropriate configuration. For now, you should create a file in your project's root directory named `async-unit.json`. It should have the following contents...

```javascript
{
    "testDirs": ["tests"]
}
```

Feel free to include as many directories as required that you want the framework to scan for your tests. Once this is done you can simply execute the default command.

```
vendor/bin/asyncunit 
```

### Unconfigured Test Runs

If you're super eager to get started and don't even want to create the configuration file you can currently run tests by executing the run command.

```
vendor/bin/asyncunit run tests
```

This command is, currently, the same as running a configured tests. However, as the functionality of the framework increases this is *highly* likely to change and it will probably not be possible to run tests without a configuration. For now, you can take advantage of this functionality while it exists.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.labrador-kennel.io/async-unit/reference/cli-tool.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
